Hi there, I am on Cocoon 2.1.11 and just converted my forms to use Ajax. It appears to work, but for one drop down, it does not. For this drop down, for the fourth time I change its value, I get a java script error saying "Object required". On viewing the source, I find that when it works (the first two times), the top of the source looks like this: Edit Task However, when it does NOT work, then I find that between the second line ending in XInclude and the third line "", there is a gap of 63 empty lines, and also, the line: Edit Task has now become: Edit Task Any idea what gives? thx. Paul --------------------------------------------------------------------- To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org For additional commands, e-mail: users-help@cocoon.apache.org